org.apache.maven.plugin

## Class PluginParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.plugin.PluginConfigurationException
      - - org.apache.maven.plugin.PluginParameterException

- All Implemented Interfaces:
    java.io.Serializable

      public class PluginParameterException
      extends PluginConfigurationException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginParameterException(MojoDescriptor mojo, java.util.List parameters)`
    `PluginParameterException(MojoDescriptor mojo, java.util.List parameters, java.lang.Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `buildDiagnosticMessage()`
    `MojoDescriptor` | `getMojoDescriptor()`
    `java.util.List` | `getParameters()`

    - ### Methods inherited from class org.apache.maven.plugin.PluginConfigurationException

      `addParameterUsageInfo, buildConfigurationDiagnosticMessage, getOriginalMessage, getPluginDescriptor`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginParameterException

          public PluginParameterException(MojoDescriptor mojo,
                                  java.util.List parameters)

    - #### PluginParameterException

          public PluginParameterException(MojoDescriptor mojo,
                                  java.util.List parameters,
                                  java.lang.Throwable cause)

  - ### Method Detail

    - #### getMojoDescriptor

          public MojoDescriptor getMojoDescriptor()

    - #### getParameters

          public java.util.List getParameters()

    - #### buildDiagnosticMessage

          public java.lang.String buildDiagnosticMessage()